package tanasys;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.apache.struts.action.Action;
import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;

import tanasys.exception.LoginException;

/**
 * ANVNXB<br>
 * SẴANVNX͂̃NXp܂B
 * 
 * @author hosoda
 * 
 */
public abstract class BaseAction extends Action {

    Log log = LogFactory.getLog(this.getClass());

    @Override
    public ActionForward execute(ActionMapping mapping, ActionForm actionForm, HttpServletRequest request, HttpServletResponse response) throws Exception {
        try {
            checkSession(mapping, actionForm, request, response);
            return act(mapping, actionForm, request, response);
        } catch (LoginException e) {
            BaseForm form = (BaseForm) actionForm;
            form.setMessage("OCĂB");
            return mapping.findForward("loginNG");
        } catch (Exception e) {
            log.fatal("VXeG[", e);
            return mapping.findForward("error");
        }
    }
    
    /**
     * ZbṼ`FbN
     * 
     * @param mapping
     * @param form
     * @param request
     * @param response
     * @throws LoginException
     */
    private void checkSession(ActionMapping mapping, ActionForm form, HttpServletRequest request, HttpServletResponse response) throws LoginException {
        HttpSession session = request.getSession(false);

        if (session == null) {
            throw new LoginException();
        }

        String flag = (String) session.getAttribute("loginFlag");

        if (flag == null || !flag.equals("ok")) {
            throw new LoginException();
        }

    }

    /**
     * TuNXŃI[o[Ch郁CB
     * 
     * @param mapping ANV}bsO
     * @param form ANVtH[
     * @param request NGXg
     * @param response X|X
     * @return Forward
     * @throws Exception O
     */
    protected abstract ActionForward act(ActionMapping mapping, ActionForm actionForm, HttpServletRequest request, HttpServletResponse response)
            throws Exception;

}
