package tanasys;

import java.util.ArrayList;

import org.apache.struts.action.*;

public class BaseForm extends ActionForm {

  /**
   * 
   */
  private static final long serialVersionUID = 1L;

  private String id;

  private String name;

  private ArrayList<Resource> resourceList;

  private int displayResourceCount = 10;

  private int resourceListOffset;

  private String message;

  private int xMonth;// ij

  private int xDay;// ij

  private int nonUpdateResourceCount;

  private int allNonUpdateResourceCount;

  private int resourcesCount;

  /**
   * @param args
   */
  public String getId() {
    return id;
  }

  public void setId(String id) {
    this.id = id;
  }

  public ArrayList<Resource> getResourceList() {
    return resourceList;
  }

  public void setResourceList(ArrayList<Resource> resourceList) {
    this.resourceList = resourceList;
    resourcesCount=resourceList.size();
    if(resourcesCount>=10)
      resourcesCount=10;
  }

  public void setDisplayResourceCount(int displayResourceCount) {
    this.displayResourceCount = displayResourceCount;
  }

  public int getDisplayResourceCount() {
    return displayResourceCount;
  }

  public String getMessage() {
    return message;
  }

  public void setMessage(String message) {
    this.message = message;
  }

  public String getName() {
    return name;
  }

  public void setName(String name) {
    this.name = name;
  }

  public int getResourceListOffset() {
    return resourceListOffset;
  }
  
  public int getFirstResourceNumber(){
    return resourceListOffset+1;
  }
  
  public int getLastResourceNumber(){
    return resourceListOffset+resourcesCount;
  }
  
  public void setResourceListOffset(int resourceListOffset) {
    this.resourceListOffset = resourceListOffset;
    if (resourceListOffset < 0)
      resourceListOffset = 0;
  }

  // bړ

  private String emp_id;

  private String res_no;

  private String res_name;

  public String getEmp_id() {
    return emp_id;
  }

  public void setEmp_id(String emp_id) {
    this.emp_id = emp_id;
  }

  public String getRes_name() {
    return res_name;
  }

  public void setRes_name(String res_name) {
    this.res_name = res_name;
  }

  public int getXDay() {
    return xDay;
  }

  public void setXDay(int day) {
    xDay = day;
  }

  public int getXMonth() {
    return xMonth;
  }

  public void setXMonth(int month) {
    xMonth = month;
  }

  public int getNonUpdateResourceCount() {
    return nonUpdateResourceCount;
  }

  public void setNonUpdateResourceCount(int nonUpdateResourceCount) {
    this.nonUpdateResourceCount = nonUpdateResourceCount;
  }

  public String getRes_no() {
    return res_no;
  }

  public void setRes_no(String res_no) {
    this.res_no = res_no;
  }

  public void setAllNonUpdateResourceCount(int allNonUpdateResourceCount) {
    this.allNonUpdateResourceCount = allNonUpdateResourceCount;
  }

  public int getAllNonUpdateResourceCount() {
    return allNonUpdateResourceCount;
  }

  public void resetResourceViewData() {
    resourceList = null;
    resourceListOffset = 0;
    resourcesCount = 0;
    message = "";
  }

  public int getResourcesCount() {
    return resourcesCount;
  }

  public void setResourcesCount(int resourcesCount) {
    this.resourcesCount = resourcesCount;
  }
}
