package tanasys.action.password;

import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;
import org.apache.struts.action.ActionMessage;
import org.apache.struts.action.ActionMessages;

import tanasys.BaseAction;
import tanasys.dao.StaffDAO;

import java.sql.*;

import javax.servlet.http.*;

public class ChangePasswordAction extends BaseAction {
	public ActionForward act(ActionMapping mapping, ActionForm form,
			HttpServletRequest request, HttpServletResponse response)
			throws Exception {

		ChangePasswordForm changePasswordForm = (ChangePasswordForm) form;
		StaffDAO staffDao = new StaffDAO();
		ActionMessages errors = new ActionMessages();
		HttpSession session = request.getSession(false);
		String id = (String) session.getAttribute("ID");

		// VpX[hƊmFp̃pX[hĂG[o͂
		if (!changePasswordForm.getNewPassword().equals(
				changePasswordForm.getConfirmedPassword())) {

			errors.add(ActionMessages.GLOBAL_MESSAGE, new ActionMessage(
					"errors.wrongPassword"));
			saveErrors(request, errors);

			return mapping.findForward("error");

		}
		// {l̃pX[hł͂ȂG[o͂
		else if (!changePasswordForm.getOldPassword().equals(
				staffDao.getPasswordById(id))) {
			errors.add(ActionMessages.GLOBAL_MESSAGE, new ActionMessage(
					"errors.wrongPassword"));
			saveErrors(request, errors);

			return mapping.findForward("error");

		} else {

			try {
				// pX[hύX
				int result = staffDao.changePasswordByPassword(
						changePasswordForm.getOldPassword(), changePasswordForm
								.getNewPassword());

				if (result <= 0) {
					errors.add(ActionMessages.GLOBAL_MESSAGE,
							new ActionMessage("errors.changePassword"));
					saveErrors(request, errors);

					return mapping.findForward("error");
				} else {
					return mapping.findForward("success");
				}

			} catch (SQLException e) {
				e.printStackTrace();
				errors.add(ActionMessages.GLOBAL_MESSAGE, new ActionMessage(
						"errors.sql"));
				saveErrors(request, errors);

				return mapping.findForward("error");
			}

		}
	}

}
