package tanasys.action.resource.regist;

import java.sql.SQLException;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;
import org.apache.struts.action.ActionMessage;
import org.apache.struts.action.ActionMessages;

import tanasys.BaseAction;
import tanasys.dao.ResourceDAO;

public class LoadResourceAction extends BaseAction {

  protected ActionForward act(ActionMapping mapping, ActionForm actionForm,
      HttpServletRequest request, HttpServletResponse response)
      throws Exception {
    ResourceRegistForm resourceRegistForm = (ResourceRegistForm) actionForm;
    ResourceDAO resourceDao = new ResourceDAO();
    ActionMessages errors = new ActionMessages();

    try {
      resourceRegistForm.setMessage("");
      String resourceNo = resourceRegistForm.getResourceNo();
      resourceRegistForm.setResourceBefore(resourceDao
          .getResourceByResourceNo(resourceNo));
      resourceRegistForm.setResourceAfter(resourceDao
          .getResourceByResourceNo(resourceNo));

      return mapping.findForward("success");

    } catch (SQLException e) {
      resourceRegistForm.setMessage("SQLG[");
      errors.add(ActionMessages.GLOBAL_MESSAGE,
          new ActionMessage("errors.load"));
      saveErrors(request, errors);

      return mapping.findForward("error");
    }
  }

}
