package tanasys.action.resource.search;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.apache.struts.action.*;

import tanasys.BaseAction;
import tanasys.BaseForm;
import tanasys.dao.ResourceDAO;

import java.sql.*;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

public class ResourceSearchAction extends BaseAction {
	Log log = LogFactory.getLog(this.getClass());

	@Override
	protected ActionForward act(ActionMapping mapping, ActionForm actionForm,
			HttpServletRequest request, HttpServletResponse response)
			throws Exception {
		try {
			BaseForm resourceSearchForm = (BaseForm) actionForm;
            resourceSearchForm.resetResourceViewData();
			ResourceDAO resourceDAO = new ResourceDAO();
            
            resourceSearchForm.resetResourceViewData();
			
			resourceSearchForm.setResourceList(resourceDAO
					.getResourcesById(resourceSearchForm.getEmp_id()));
			
			if (resourceSearchForm.getResourceList() == null)
				log.error("i܂");
			
			return mapping.findForward("ResourceSearch");
		} catch (SQLException e) {
			e.printStackTrace();
			return mapping.findForward("Index");
		}
	}
}
