package tanasys.action.resource.update;

import org.apache.struts.action.*;

import tanasys.BaseAction;
import tanasys.BaseForm;
import tanasys.dao.ResourceDAO;

import java.sql.*;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;

/**
 * 
 * @author shino
 * 
 */
public class ResourceListAction extends BaseAction {
	protected ActionForward act(ActionMapping mapping, ActionForm form,
			HttpServletRequest request, HttpServletResponse response)
			throws Exception {
		try {
			BaseForm baseForm = (BaseForm) form;
			ResourceDAO resourceDAO = new ResourceDAO();
			HttpSession session = request.getSession(false);
            baseForm.resetResourceViewData();
            
			String id = (String) session.getAttribute("ID");
			baseForm.setResourceList(resourceDAO.getResourcesById(id));
			request.setAttribute("BaseForm",baseForm);
			return mapping.findForward("success");
		} catch (SQLException e) {
			e.printStackTrace();
			// TODO: indexɂƂ񂶂܂
			return mapping.findForward("Index");
		}

	}
}
