package tanasys.action.login;

import org.apache.struts.action.Action;
import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;
import org.apache.struts.action.ActionMessage;
import org.apache.struts.action.ActionMessages;

import tanasys.dao.StaffDAO;

import javax.servlet.http.*;

import java.sql.*;

public class LoginAction extends Action {
    public ActionForward execute(ActionMapping mapping, ActionForm form, HttpServletRequest request, HttpServletResponse response) {

        LoginForm loginForm = (LoginForm) form;
        StaffDAO staffDao = new StaffDAO();
        ActionMessages errors = new ActionMessages();

        try {
            // IDɑΉpX[h擾
            String rightPassword = staffDao.getPasswordById(loginForm.getId());

            // pX[hiIDԈĂjG[o͂
            if (rightPassword == null) {
                errors.add(ActionMessages.GLOBAL_MESSAGE, new ActionMessage("errors.login"));
                saveErrors(request, errors);

                return mapping.findForward("error");
            }

            // OC
            if (loginForm.getPassword().equals(rightPassword)) {
                // ZbVč\zB
                HttpSession session = request.getSession(false);

                // ZbVĂE
                if (session != null) {
                    // ZbV𖳌B
                    session.invalidate();
                    session = null;
                }


                // ZbV̏
                session = request.getSession(true);
                // ZbVɏo^B
                session.setAttribute("loginFlag", "ok");
                session.setAttribute("ID", loginForm.getId());
                return mapping.findForward("success");
            } else { // OCsȂG[o͂

                errors.add(ActionMessages.GLOBAL_MESSAGE, new ActionMessage("errors.login"));
                saveErrors(request, errors);

                return mapping.findForward("error");
            }
        } catch (SQLException e) {
            loginForm.setMessage("SQLG[");
            errors.add(ActionMessages.GLOBAL_MESSAGE, new ActionMessage("errors.login"));
            saveErrors(request, errors);

            return mapping.findForward("error");
        }

    }
}
