package tanasys.action.resource.update;

import java.sql.Date;
import java.sql.SQLException;
import java.util.ArrayList;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;

import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;

import tanasys.BaseAction;
import tanasys.BaseForm;
import tanasys.Resource;
import tanasys.dao.ResourceDAO;

public class UpdateResourceListAction extends BaseAction {
	protected ActionForward act(ActionMapping mapping, ActionForm form,
			HttpServletRequest request, HttpServletResponse response)
			throws Exception {
		ResourceDAO resourceDAO = new ResourceDAO();
		BaseForm resourceForm = (BaseForm) form;
		HttpSession session = request.getSession(false);
		String id = (String) session.getAttribute("ID");
		try {
			Date date = new Date(System.currentTimeMillis());
			ArrayList<Resource> resourceList = resourceForm.getResourceList();
			int result = 0;
			for (int i = 0; i < resourceList.size(); i++) {
				Resource resource = resourceList.get(i);
				if (!resource.getOldStockStatus().equals(resource.getStockStatus())) {
					resource.setCommitDate(date.toString());
					resource.setCommiter(id);
					resource.setCommiterName(resourceForm.getName());
					resource.setOldStockStatus(resource.getStockStatus());
					if (resourceDAO.updateResourceStatus(resource))
						result++;
				}
			}
			if (result > 0){
				resourceForm.setMessage(result + "XV܂");
			}
			else{
				resourceForm.setMessage("o^eύXĂ܂");
			}
			//
			return mapping.findForward("success");
		} catch (SQLException e) {
			e.printStackTrace();
			return mapping.findForward("Index");
		}

	}
}
