package tanasys.dao;

import java.sql.Connection;
import java.sql.ResultSet;
import java.sql.SQLException;
import java.sql.Statement;
import java.util.ArrayList;
import tanasys.MinuteResource;
import tanasys.Resource;

public class ResourceDAO extends BaseDAO {
  // TODO:PreparedStatement
  public ResourceDAO() {
  }

  ArrayList<Resource> searchResource(String condition) throws SQLException {
    Connection con = null;
    Statement statment = null;
    ResultSet data = null;
    try {
      con = getConnection();
      statment = con.createStatement();
      String sqlString = "SELECT * FROM (RESOURCE res left join USE_STATUS useStatus on res.RES_STATUS_USE=useStatus.STATUS_ID) "
          + "left join M_STAFF user on res.RES_USER=user.EMP_ID left join M_STAFF admin on res.RES_ADMIN=admin.EMP_ID "
          + "left join M_DEPARTMENT dept on res.RES_DEPT=dept.DEPT_ID "
          + "left join M_STAFF commiter on res.RES_COMMIT_ID = commiter.EMP_ID WHERE "
          + condition + ";";
      System.out.println(sqlString);
      data = statment.executeQuery(sqlString);
      if (data.first() == false) {

        System.out.println("G[" + sqlString);
        // baseForm.setMessage("i܂ł");
        return null;
        // return mapping.findForward("Index");
      }

      ArrayList<Resource> resourceList = new ArrayList<Resource>();
      // data.first();
      for (int i = 0; !data.isAfterLast(); i++) {
        Resource resource = new Resource();
        resource.setNumber(data.getString("RES_NO"));
        resource.setCheckNumber(data.getString("RES_CHECK_NO"));
        resource.setName(data.getString("RES_NAME"));
        resource.setMaker(data.getString("RES_MAKER"));
        resource.setModelNumber(data.getString("RES_MODEL_NO"));
        resource.setSerialNumber(data.getString("RES_SERIAL_NO"));
        resource.setParentNumber(data.getString("RES_PARENT"));
        resource.setUser(data.getString("user.EMP_NAME"));
        resource.setUserId(data.getString("RES_USER"));
        resource.setAdmin(data.getString("admin.EMP_NAME"));
        resource.setAdminId(data.getString("RES_ADMIN"));
        resource.setDept(data.getString("dept.DEPT_NAME"));
        resource.setDeptId(data.getString("RES_DEPT"));
        resource.setUseStatus(data.getString("useStatus.STATUS_NAME"));
        resource.setUseStatusCode(data.getString("RES_STATUS_USE"));
        resource.setPlace(data.getString("RES_PLACE"));
        // resource.setMoveDate(data.getString("RES_MOVE_DATE"));
        resource.setNote(data.getString("RES_NOTE"));

        resource.setStockStatus(data.getString("RES_STATUS_STOCK"));
        resource.setOldStockStatus(data.getString("RES_STATUS_STOCK"));

        resource.setCommiterName(data.getString("commiter.EMP_NAME"));
        resource.setCommiter(data.getString("RES_COMMIT_ID"));
        resource.setCommitDate(data.getString("RES_COMMIT_DATE"));
        resource.setRegister(data.getString("REG_ID"));
        resource.setRegistDate(data.getString("REG_DATE"));
        resource.setUpdateId(data.getString("UPD_ID"));
        resource.setUpdateDate(data.getString("UPD_DATE"));

        resourceList.add(resource);
        data.next();
      }
      return resourceList;
    } finally {
      if (data != null)
        data.close();

      if (statment != null)
        statment.close();

      if (con != null)
        con.close();
    }
  }

  /**
   * IXV
   * 
   * @param resourceId
   * @param commiterid
   * @param status
   * @return 
   * @throws SQLException
   */
  public boolean updateResourceStatus(Resource resource) throws SQLException {

    Connection con = null;
    try {
      con = getConnection();
      String sqlString = "UPDATE RESOURCE SET RES_STATUS_STOCK= \""
          + resource.getStockStatus() + "\" , RES_COMMIT_ID= \""
          + resource.getCommiter() + "\", RES_COMMIT_DATE= \""
          + resource.getCommitDate() + "" + "\" WHERE RES_NO= \""
          + resource.getNumber() + "\";";//

      System.out.println(sqlString);
      Statement statement = con.createStatement();// SQLsXe[gg̍쐬
      // Xe[ggs
      statement.executeUpdate(sqlString); // SQL̎s
      return true;
    } finally {
      con.close();
    }
  }

  /**
   * iꗗ擾i萳mɂ́AyіIiꗗj
   * 
   * @return
   * @throws SQLException
   */
  public ArrayList<Resource> getLostResources() throws SQLException {
    try {
      return searchResource("RES_STATUS_STOCK != '1'");
    } finally {

    }
  }

  /**
   * 
   * ǗIDŌđSĎ擾܂
   * 
   * @return
   * @param id
   *          userId
   * @throws SQLException
   */
  public ArrayList<Resource> getResourcesById(String id) throws SQLException {
    try{
      return searchResource("res.RES_ADMIN='"+id+"'");
    } finally {
    }

  }

  /**
   * i̖O猟܂
   * 
   * @param name
   *          i̖O
   * @return ĩXg
   * @throws SQLException
   */
  public ArrayList<Resource> getSearchResourcesByRes_name(String name)
      throws SQLException {
    try{

      return searchResource("res.RES_NAME = '" + name + "'");
    } finally {
    }
  }

  /**
   * iNoɂi擾
   * 
   * @param ResourceNo
   * @return
   * @throws SQLException
   */
  public Resource getResourceByResourceNo(String ResourceNo)
      throws SQLException {
      return searchResource("res.RES_NO='" + ResourceNo+"'").get(0);
  }

  /**
   * ٓ\Ȍf[^x[Xɑ}
   * 
   * @param resourceBefore
   * @return
   * @throws SQLException
   */
  public int insertResourceBeforeUpdate(Resource resourceBefore)
      throws SQLException {
    Connection con = null;
    Statement statement = null;

    try {
      con = getConnection();

      String updateSql = "UPDATE RESOURCE_BEFORE_UPDATE " + "SET RES_USER='"
          + resourceBefore.getUserId() + "', RES_ADMIN='"
          + resourceBefore.getAdminId() + "', RES_DEPT='"
          + resourceBefore.getDeptId() + "', RES_PLACE='"
          + resourceBefore.getPlace() + "', RES_STATUS='"
          + resourceBefore.getUseStatusCode() + "' WHERE RES_NO='"
          + resourceBefore.getNumber() + "';";

      System.out.println(updateSql);
      // SQLsXe[gg̍쐬
      statement = con.createStatement();
      // SQL̎s
      int result = statement.executeUpdate(updateSql);

      if (result < 1) {
        String insertSql = "INSERT INTO RESOURCE_BEFORE_UPDATE VALUES('"
            + resourceBefore.getNumber() + "','" + resourceBefore.getUserId()
            + "','" + resourceBefore.getAdminId() + "','"
            + resourceBefore.getDeptId() + "','" + resourceBefore.getPlace()
            + "','" + resourceBefore.getUseStatusCode() + "','"// TODO:
            // AUSE_STATUSł̂s
            + resourceBefore.getRegister() + "','"
            + resourceBefore.getRegistDate() + "');";

        System.out.println(insertSql);
        // SQLsXe[gg̍쐬
        statement = con.createStatement();
        // SQL̎s
        int result2 = statement.executeUpdate(insertSql);
        return result2;
      }

      return result;

    } catch (SQLException e) {
      e.printStackTrace();
      throw e;

    } finally {
      statement.close();
      con.close();
    }
  }

  /**
   * ٓ\̏f[^x[Xɑ}
   * 
   * @param resourceAfter
   * @return
   * @throws SQLException
   */
  public int registResource(Resource resourceAfter) throws SQLException {
    Connection con = null;
    Statement statement = null;
    try {
      con = getConnection();
      String sqlString = "UPDATE RESOURCE " + "SET RES_USER='"
          + resourceAfter.getUserId() + "', RES_ADMIN='"
          + resourceAfter.getAdminId() + "', RES_DEPT='"
          + resourceAfter.getDeptId() + "', RES_PLACE='"
          + resourceAfter.getPlace() + "', RES_STATUS_USE='"
          + resourceAfter.getUseStatusCode() + "', UPD_ID='"
          + resourceAfter.getUpdateId() + "', UPD_DATE='"
          + resourceAfter.getUpdateDate() + "', RES_STATUS_STOCK='3' WHERE RES_NO='"
          + resourceAfter.getNumber() + "';";

      System.out.println(sqlString);
      // SQLsXe[gg̍쐬
      statement = con.createStatement();
      // SQL̎s
      int result = statement.executeUpdate(sqlString);
      return result;

    } catch (SQLException e) {
      e.printStackTrace();
      throw e;

    } finally {
      statement.close();
      con.close();
    }
  }

  /**
   * I̔i̐擾
   * 
   * @param id
   *          Ǘ҂id
   * @return I̔i̐
   * @throws SQLException
   * @author shinora
   */
  public int getNonUpdateResourceCount(int id) throws SQLException {
    Connection con = null;
    Statement statement = null;
    ResultSet rs = null;

    try {

      con = getConnection();

      String sqlString = "SELECT COUNT(*) FROM RESOURCE WHERE RES_ADMIN='" + id
          + "'AND RES_STATUS_STOCK='00';";// TODO: RES_STATUS_STOCK 00͂܂

      System.out.println(sqlString);
      // SQLsXe[gg̍쐬
      statement = con.createStatement();
      // SQL̎s
      rs = statement.executeQuery(sqlString);

      if (rs.first() == false) {
        return 0;
      }

      return rs.getInt("COUNT(*)");

    } catch (SQLException e) {
      e.printStackTrace();
      throw e;
    } finally {
      rs.close();
      statement.close();
      con.close();
    }
  }

  public ArrayList<MinuteResource> getLostMinuteResourceList()
      throws SQLException {
    Connection con = null;
    Statement statement = null;
    ResultSet rs = null;
    try {
      con = getConnection();
      String sqlString = "SELECT * FROM RESOURCE res join USE_STATUS useStatus on res.RES_STATUS_USE = useStatus.STATUS_ID "
          + "join M_STAFF user on res.RES_USER = user.EMP_ID "
          + "join M_STAFF admin on res.RES_ADMIN = admin.EMP_ID "
          + "join M_DEPARTMENT dept on res.RES_DEPT = dept.DEPT_ID "
          + "WHERE RES_STATUS_STOCK!='1';";

      System.out.println(sqlString);
      // SQLsXe[gg̍쐬
      statement = con.createStatement();
      // SQL̎s
      rs = statement.executeQuery(sqlString);

      rs.first();
      ArrayList<MinuteResource> list = new ArrayList<MinuteResource>();
      while (!rs.isAfterLast()) {
        MinuteResource resource = new MinuteResource();
        resource.setNumber(rs.getString("RES_NO"));
        resource.setName(rs.getString("RES_NAME"));
        resource.setMaker(rs.getString("RES_MAKER"));
        resource.setModelNumber(rs.getString("RES_MODEL_NO"));
        resource.setSerialNumber(rs.getString("RES_SERIAL_NO"));
        resource.setCheckNumber(rs.getString("RES_CHECK_NO"));
        resource.setParentNumber(rs.getString("RES_PARENT"));
        resource.setUserId(rs.getString("RES_USER"));
        resource.setUserName(rs.getString("user.EMP_NAME"));
        resource.setAdminId(rs.getString("RES_ADMIN"));
        resource.setAdminName(rs.getString("admin.EMP_NAME"));
        resource.setDept(rs.getString("dept.DEPT_NAME"));
        resource.setDeptId(rs.getString("RES_DEPT"));
        resource.setUseStatus(rs.getString("useStatus.STATUS_NAME"));
        resource.setPlace(rs.getString("RES_PLACE"));
        resource.setUpdateDate(rs.getString("UPD_DATE"));
        resource.setNote(rs.getString("RES_NOTE"));

        resource.setStockStatus(rs.getString("RES_STATUS_STOCK"));
        // resource.setCommiterName(rs.getString("commiter.EMP_NAME"));
        // resource.setCommiter(rs.getString("RES_COMMIT_ID"));
        // resource.setCommitDate(rs.getString("RES_COMMIT_DATE"));

        resource.setRegister(rs.getString("REG_ID"));
        resource.setRegistDate(rs.getString("REG_DATE"));
        // resource.updaterID(rs.getString("UPD_ID"));
        // resource.updateDate(rs.getString("UPD_DATE"));
        list.add(resource);
        rs.next();

      }
      return list;
    } catch (SQLException e) {
      e.printStackTrace();
      throw e;

    } finally {
      rs.close();
      statement.close();
      con.close();
    }
  }

  public int getAllNonUpdateResourceCount() throws SQLException{
    Connection con = null;
    Statement statement = null;
    ResultSet rs = null;

    try {

      con = getConnection();

      String sqlString = "SELECT COUNT(*) FROM RESOURCE WHERE RES_STATUS_STOCK='00';";// TODO: RES_STATUS_STOCK 00͂܂

      System.out.println(sqlString);
      // SQLsXe[gg̍쐬
      statement = con.createStatement();
      // SQL̎s
      rs = statement.executeQuery(sqlString);

      if (rs.first() == false) {
        return 0;
      }

      return rs.getInt("COUNT(*)");

    } catch (SQLException e) {
      e.printStackTrace();
      throw e;
    } finally {
      rs.close();
      statement.close();
      con.close();
    }
  }
}
