package tanasys.dto;

import java.io.Serializable;
import java.util.Date;
import org.apache.commons.lang.builder.ToStringBuilder;


/** @author Hibernate CodeGenerator */
public class Resource implements Serializable {

    /** identifier field */
    private String resNo;

    /** nullable persistent field */
    private String resCheckNo;

    /** nullable persistent field */
    private String resName;

    /** nullable persistent field */
    private String resMaker;

    /** nullable persistent field */
    private String resModelNo;

    /** nullable persistent field */
    private String resSerialNo;

    /** nullable persistent field */
    private String resParent;

    /** persistent field */
    private String resUser;

    /** persistent field */
    private String resAdmin;

    /** persistent field */
    private String resDept;

    /** nullable persistent field */
    private String resCode;

    /** nullable persistent field */
    private String resPlace;

    /** nullable persistent field */
    private Date resMoveDate;

    /** nullable persistent field */
    private String resNote;

    /** persistent field */
    private String resStatus;

    /** nullable persistent field */
    private String resCommitId;

    /** nullable persistent field */
    private Date resCommitDate;

    /** nullable persistent field */
    private String regId;

    /** nullable persistent field */
    private Date regDate;

    /** nullable persistent field */
    private String updId;

    /** nullable persistent field */
    private Date updDate;

    /** full constructor */
    public Resource(String resNo, String resCheckNo, String resName, String resMaker, String resModelNo, String resSerialNo, String resParent, String resUser, String resAdmin, String resDept, String resCode, String resPlace, Date resMoveDate, String resNote, String resStatus, String resCommitId, Date resCommitDate, String regId, Date regDate, String updId, Date updDate) {
        this.resNo = resNo;
        this.resCheckNo = resCheckNo;
        this.resName = resName;
        this.resMaker = resMaker;
        this.resModelNo = resModelNo;
        this.resSerialNo = resSerialNo;
        this.resParent = resParent;
        this.resUser = resUser;
        this.resAdmin = resAdmin;
        this.resDept = resDept;
        this.resCode = resCode;
        this.resPlace = resPlace;
        this.resMoveDate = resMoveDate;
        this.resNote = resNote;
        this.resStatus = resStatus;
        this.resCommitId = resCommitId;
        this.resCommitDate = resCommitDate;
        this.regId = regId;
        this.regDate = regDate;
        this.updId = updId;
        this.updDate = updDate;
    }

    /** default constructor */
    public Resource() {
    }

    /** minimal constructor */
    public Resource(String resNo, String resUser, String resAdmin, String resDept, String resStatus) {
        this.resNo = resNo;
        this.resUser = resUser;
        this.resAdmin = resAdmin;
        this.resDept = resDept;
        this.resStatus = resStatus;
    }

    public String getResNo() {
        return this.resNo;
    }

    public void setResNo(String resNo) {
        this.resNo = resNo;
    }

    public String getResCheckNo() {
        return this.resCheckNo;
    }

    public void setResCheckNo(String resCheckNo) {
        this.resCheckNo = resCheckNo;
    }

    public String getResName() {
        return this.resName;
    }

    public void setResName(String resName) {
        this.resName = resName;
    }

    public String getResMaker() {
        return this.resMaker;
    }

    public void setResMaker(String resMaker) {
        this.resMaker = resMaker;
    }

    public String getResModelNo() {
        return this.resModelNo;
    }

    public void setResModelNo(String resModelNo) {
        this.resModelNo = resModelNo;
    }

    public String getResSerialNo() {
        return this.resSerialNo;
    }

    public void setResSerialNo(String resSerialNo) {
        this.resSerialNo = resSerialNo;
    }

    public String getResParent() {
        return this.resParent;
    }

    public void setResParent(String resParent) {
        this.resParent = resParent;
    }

    public String getResUser() {
        return this.resUser;
    }

    public void setResUser(String resUser) {
        this.resUser = resUser;
    }

    public String getResAdmin() {
        return this.resAdmin;
    }

    public void setResAdmin(String resAdmin) {
        this.resAdmin = resAdmin;
    }

    public String getResDept() {
        return this.resDept;
    }

    public void setResDept(String resDept) {
        this.resDept = resDept;
    }

    public String getResCode() {
        return this.resCode;
    }

    public void setResCode(String resCode) {
        this.resCode = resCode;
    }

    public String getResPlace() {
        return this.resPlace;
    }

    public void setResPlace(String resPlace) {
        this.resPlace = resPlace;
    }

    public Date getResMoveDate() {
        return this.resMoveDate;
    }

    public void setResMoveDate(Date resMoveDate) {
        this.resMoveDate = resMoveDate;
    }

    public String getResNote() {
        return this.resNote;
    }

    public void setResNote(String resNote) {
        this.resNote = resNote;
    }

    public String getResStatus() {
        return this.resStatus;
    }

    public void setResStatus(String resStatus) {
        this.resStatus = resStatus;
    }

    public String getResCommitId() {
        return this.resCommitId;
    }

    public void setResCommitId(String resCommitId) {
        this.resCommitId = resCommitId;
    }

    public Date getResCommitDate() {
        return this.resCommitDate;
    }

    public void setResCommitDate(Date resCommitDate) {
        this.resCommitDate = resCommitDate;
    }

    public String getRegId() {
        return this.regId;
    }

    public void setRegId(String regId) {
        this.regId = regId;
    }

    public Date getRegDate() {
        return this.regDate;
    }

    public void setRegDate(Date regDate) {
        this.regDate = regDate;
    }

    public String getUpdId() {
        return this.updId;
    }

    public void setUpdId(String updId) {
        this.updId = updId;
    }

    public Date getUpdDate() {
        return this.updDate;
    }

    public void setUpdDate(Date updDate) {
        this.updDate = updDate;
    }

    public String toString() {
        return new ToStringBuilder(this)
            .append("resNo", getResNo())
            .toString();
    }

}
