package tanasys.fileio;

import java.io.*;
import java.sql.SQLException;
import java.util.ArrayList;
import java.util.Iterator;

import tanasys.MinuteResource;
import tanasys.dao.*;

public class FileWriter {

  FileOutputStream stream;

  OutputStreamWriter streamWriter;

  BufferedWriter bufferedWriter;

  ResourceDAO resourceDAO;

  public FileWriter() {
  }
  
  public void writeLostResources() throws IOException, SQLException {
    try {
      stream = new FileOutputStream("lostResourcesList.csv");
      streamWriter = new OutputStreamWriter(stream, "MS932");
      bufferedWriter = new BufferedWriter(streamWriter);
      ResourceDAO resourceDAO = new ResourceDAO();

      ArrayList<MinuteResource> resourceList = resourceDAO
          .getLostMinuteResourceList();
      for (Iterator<MinuteResource> iterator = resourceList.iterator(); iterator
          .hasNext();) {
        MinuteResource resource = iterator.next();
        String writeData = resource.getNumber() + "," + resource.getName()
            + "," + resource.getMaker() + "," + resource.getModelNumber() + ","
            + resource.getSerialNumber() + "," + resource.getCheckNumber()
            + "," + resource.getUserId() + "," + resource.getUserName() + ","
            + resource.getAdminId() + "," + resource.getAdminName() + ","
            + resource.getDeptId() + "," + resource.getDept() + ","
            + resource.getUseStatus() + "," + resource.getPlace() + ","
            + resource.getRegistDate() + "," + resource.getNote();

        bufferedWriter.write(writeData);
        bufferedWriter.newLine();
      }
    } finally {
      bufferedWriter.close();
      streamWriter.close();
      stream.close();
    }
  }

  public void writeUpdateResources() throws IOException, SQLException {
    try {
      stream = new FileOutputStream("lostResourcesList.csv");
      streamWriter = new OutputStreamWriter(stream, "MS932");
      bufferedWriter = new BufferedWriter(streamWriter);
      ResourceDAO resourceDAO = new ResourceDAO();

      ArrayList<MinuteResource> resourceList = resourceDAO
          .getLostMinuteResourceList();
      for (Iterator<MinuteResource> iterator = resourceList.iterator(); iterator
          .hasNext();) {
        // bufferedWriter.write("UPDATE ");
      }
    } finally {
      bufferedWriter.close();
      streamWriter.close();
      stream.close();
    }
  }
}
